@font-face {
	font-family: "Avenir";
	font-style: normal;
	src: local("Avenir"),
        url('admin/fonts/Avenir.ttc') format("ttc"),
        url('admin/fonts/Avenir.ttf') format("truetype"),
        url('admin/fonts/Avenir.woff') format("woff");
}
@font-face {
	font-family: "Maytra";
	font-style: normal;
	src: local("Maytra"),
        url('admin/fonts/Maytra.ttf') format("truetype"),
        url('admin/fonts/Maytra.woff') format("woff");
}

:root {
    --blue-color: #030057;
    --red-color: #E64D71;
    --blue-light-color: #00D0FF;
    --yellow-color: #FF9F38;
    --opacity: 0;
}

html,body {
    overflow-x: hidden!important;
}

.h-100vh {
    height: 100vh!important;
}

.admin-logo {
    max-height: 5rem;
}

h1,h2,h3,h4,h5,h6 {
    font-family: "Avenir";
    position: relative;
}

h1 {
    font-size: 1.8rem!important;
    text-transform: uppercase;
}
h2 {
    font-size:1.5rem!important;
    text-decoration:underline;
}
h3 {
    font-size: 1.3rem;
}
.text-blue {
    color:var(--blue-color)!important;
}
.f-bold {
    font-weight: bold;
}

body {
    font-family: "Avenir";
}

.btn-bloc {
    width: 100%;
}
.btn-blue {
    background-color: var(--blue-color)!important;
    color:white;
}
.btn-red {
    background-color: var(--red-color)!important;
    color:white;
}
.btn-yellow {
    background-color: var(--yellow-color)!important;
    color:white!important;
}
.btn-blue-light {
    background-color: var(--blue-light-color)!important;
    color:white;
}

.btn-blue:hover {
    background-color: var(--blue-color);
    color:white;
    font-weight:bold;
}
.btn-red:hover {
    background-color: var(--red-color);
    color:white;
    font-weight:bold;
}
.btn-yellow:hover {
    background-color: var(--yellow-color);
    color:white;
    font-weight:bold;
}
.btn-blue-light:hover {
    background-color: var(--blue-light-color);
    color:white;
}

.bg-blue {
    background-color: var(--blue-color);
}
.bg-red {
    background-color: var(--red-color);
}
.bg-yellow {
    background-color: var(--yellow-color);
}
.bg-blue-light {
    background-color: var(--blue-light-color);
}


/**
* NAVBAR *
**/
.navbar {
    background-color: white;
    padding: 1.5rem;
    width: 100%;
}
#navbarToggler ul.navbar-nav li a {
    position: relative;
    margin: 0 0.5rem;
}

#navbarToggler ul.navbar-nav li a::after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 50%;
    width: 0%;
    border-bottom: 2px solid red;
    transition: all ease 0.6s;
}
#navbarToggler ul.navbar-nav li a:hover::after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 15%;
    width: 70%;
    border-bottom: 2px solid red;
}

#navbarToggler ul.navbar-nav li.active a::after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 15%;
    width: 70%;
    border-bottom: 2px solid red;
}
.ml-1 {
    margin-left: 0.5rem;
}
.navbar .navbar-brand img {
    height: 4rem;
}

.dropzone {
    background-color:#00d0ff80;
    padding: 3rem;
    border-radius: 0.5rem;
    border:dashed 2px var(--blue-color);
    text-align: center;
    cursor: copy;
    font-weight: bold;
    color:var(--blue-color);
}
.dropzone:hover {
    background-color:#00d0ffb5;
}

.spin {
    animation: spin 2s infinite linear;
    display: inline-block;
}
.pulse {
    display: inline-block;
    -webkit-animation: pulse 1s infinite steps(8);
    animation:pulse 1s infinite steps(8)
}

@-webkit-keyframes spin {
    0% {
        -webkit-transform: rotate(0);
        transform:rotate(0)
    }
    100% {
        -webkit-transform: rotate(360deg);
        transform:rotate(360deg)
    }
}

@keyframes spin {
    0% {
        -webkit-transform: rotate(0);
        transform:rotate(0)
    }

    100% {
        -webkit-transform: rotate(360deg);
        transform:rotate(360deg)
    }
}


@-webkit-keyframes pulse {
    0% {
        opacity: 1;
    }
    100% {
        opacity: 0;
    }
}

@keyframes pulse {
    0% {
        opacity: 1;
    }

    100% {
        opacity: 0;
    }
}

.media-box {
    border: 1px solid var(--blue-color);
    padding: 0.5rem;
    border-radius: 0.5rem;
    position: relative;
}
.media-box img { 
    height: 15.5rem;
    max-height: 15.5rem;
    object-fit: cover;
    width: 100%;
    object-position: left top;
}
.media-box .media-pdf { 
    height: 10rem;
    max-height: 10rem;
    width: 100%;
    background-color: #00d0ff76;
    color: white;
    font-size: 2rem;
    display: flex;
    justify-content: center;
    align-items: center;
}
.media-box p {
    text-align: center;
    margin-bottom: 0rem;
    margin-top: 0.4rem;
}
.media-box:hover::after {
    content: '';
    background-color: #030057ba;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    position: absolute;
    border-radius: 0.5rem;
}
.media-box .media-btn {
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    position: absolute;
    border-radius: 0.5rem;
    display: flex;
    align-items: center;
    justify-content: center;
}
.media-box .media-btn-danger {
    position: absolute;
    border-radius: 0.5rem;
    display: flex;
    top: 3%!important;
    right: 3%!important;
}
.media-box .media-btn-danger a {
    background-color: #b02a37;
    border-radius: 0.5rem;
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
    padding-left: 1.5rem;
    padding-right: 1.5rem;
    color: white;
    z-index: 1000;
    text-decoration: none;
    display: none;
    cursor: pointer!important;
}
.media-box .media-btn a {
    background-color: white;
    border-radius: 0.5rem;
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
    padding-left: 1.5rem;
    padding-right: 1.5rem;
    color: var(--blue-color)!important;
    z-index: 1000;
    text-decoration: none;
    display: none;
    cursor: pointer!important;
}
.media-box:hover .media-btn-danger a {
    display: inline;
}
.media-box:hover .media-btn a {
    display: inline;
}
.media {
    position: relative;
}
.media::after {
    content: '';
    background-color: #030057ba;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    position: absolute;
    border-radius: 0.5rem;
    opacity: var(--opacity);
}
.media .media-btn {
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    position: absolute;
    border-radius: 0.5rem;
    display: flex;
    align-items: center;
    justify-content: center;
}
.media .media-btn a {
    border-radius: 0.5rem;
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
    padding-left: 1.5rem;
    padding-right: 1.5rem;
    z-index: 1000;
    text-decoration: none;
    display: inline;
}

label {
    font-weight: bold;
}
input {
    border-radius: 0.2rem;
    border:1px solid var(--blue-color);
    padding:0.5rem;
}

input.disabled {
    background-color: var(--blue-light-color);
    cursor: copy;
}

table thead tr {
    background-color: #00d0ff76;
}
table thead tr th {
    padding: 1rem;
}
table tbody tr {
    background-color: white;
    border:1px solid #e8e8e875;
}
table tbody tr td {
    padding: 1rem;
}

.options {
    position: absolute;
    top:0;
    right:0;
}
.small {
    font-style: italic;
    margin-left: 1rem;
}
a {
    color: var(--blue-color);
}
.section-title {
    background-color: var(--blue-light-color);
    padding: 1.2rem;
    margin: 0;
    color: white;
}
.section-edit-content table tbody tr {
    border-bottom: 1px solid var(--blue-light-color);
}
.section-edit-content table tbody tr td:first-child {
font-weight: bold;
}
.section-edit-content table tbody tr:last-child {
    border:none;
}
input[type="text"]:disabled {
    background-color: lightgray;
    color: black;
}

.moving-row {
    background-color: #64e3ff39;
    transform: scale(1.02);
    -webkit-transform: scale(1.02);
    -moz-transform: scale(1.02);
    box-shadow: 0px 0px 5px rgba(0,0,0,0.3);
    -webkit-box-shadow: 0px 0px 5px rgba(0,0,0,0.3);
    -moz-box-shadow: 0px 0px 5px rgba(0,0,0,0.3);
}
td.dragHandle:hover {
    cursor:move!important;
}

ul.navbar-nav li.menu-item {
    text-align: center;
    display: flex;
    align-items: center;
}

.dataTables_wrapper .dataTables_filter {
    margin-bottom: 0.5rem;
}

.input-counter-title,.input-counter-meta{position: relative;}
.input-counter-title-block,.input-counter-meta-block{
    position: absolute;
    top: -0.2rem;
    right: 1rem;
    padding:0.1rem 0.5rem;
    color:white;
    border-radius: 5px 5px 0 0;
}
.bg-green{background-color: rgb(75, 167, 75);}  
.bg-orange{background-color: rgb(252, 56, 56);}  

.heart-product{font-size: 1.2rem;}
.heart-product:hover{color: red;}
.text-red{color: red;}
.text-right{text-align: right;}

.reference-container {
    display: block;
    margin: 0;
}
.reference {
    border: 1px dotted #ccc;
    padding: 3px;
    position: absolute;
    background-color: white;
}
.reference ul {
    list-style-type: none;
    padding: 0;
    margin: 0;
}
.reference ul li {
    padding: 5px;
}
.reference ul li:hover {
    background: #5897fb;
    color: white;
    cursor: pointer;
}


.accordion-button::after {
    width: 2.25rem!important;
}

table.clickable tbody tr:hover {
    background-color: #f2f2f275;
    cursor: pointer;
}

.bg-grey {
    background-color: #f2f2f275!important;
}

.btn span {
    margin-left: 0.5rem;
}

.invalid-feedback {
    width: fit-content!important;
    font-style: italic;
    font-weight: normal;
}
.invalid-feedback i {
    margin-right: 0.3rem;
}

.search-results-container {
    position:relative;
    margin-top: 0.05rem;
}
.search-results {
    list-style: none;
    max-height:200px;
    width:fit-content;
    margin:0;padding:0;
    border: 1px solid rgb(209, 209, 209);
    border-radius: 5px;
    border-top-left-radius:0px;
    border-top-right-radius:0px;
    background-color:white;
    position:absolute;
    top:0;
    left:0;
}

.search-results li {
    padding:0.5rem 1rem;
    border-bottom: 1px solid rgb(209, 209, 209);
}
.search-results li:first-child {
    font-weight: bold;
    background-color: rgb(232, 232, 232);
}
.search-results li:last-child {
    border-bottom:none;
}
.search-results li:first-child:hover{
    cursor:default;
    font-weight: bold;
    background-color: rgb(232, 232, 232);
    color: black;
}
.search-results li:hover {
    cursor: pointer;
    background-color: #5897fb;
    color:white;
}


@media (max-width: 800px) {
    h1 {
        font-size: 1.2rem!important;
    }

    .navbar .navbar-brand img {
        height: 1rem;
    }
    ul.navbar-nav {
        margin-top: 2rem;
    }
    ul.navbar-nav li.menu-item {
        justify-content: center;
        margin-bottom: 1rem;
    }
    table {
        width: 100%;
        overflow: scroll;
    }
    .flex-column-r{
        flex-direction: column;
    }
}

.btn-block {
    display: block!important;
}

.bg-white {
    border-radius: 5px;
}